Project

General

Profile

Actions

Bug #6075

open

usr/src/cmd/krb5/kadmin/gui: use of deprecated/unchecked or unsafe operations in java code

Added by Toomas Soome almost 7 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
cmd - userland programs
Start date:
2015-07-22
Due date:
% Done:

0%

Estimated time:
Difficulty:
Medium
Tags:
needs-triage
Gerrit CR:

Description

building illumos-gate reveals old/deprecated java code in krb5/kadmin tree, for example:
/usr/java/bin/javac -source 1.5 -target 1.6 -nowarn -O -d /code/tsoome/illumos-gate/usr/src/cmd/krb5/kadmin/gui/visualrt -classpath /code/tsoome/illumos-gate/usr/src/cmd/krb5/kadmin/gui/visualrt:/usr/java/jre/lib/rt.jar:/usr/java/jre/lib/i18n.jar MainHelper.java
Note: MainHelper.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.


Related issues

Related to illumos gate - Bug #6407: kerberos Java GUI should go awayClosedJosef Sipek2015-10-28

Actions
Actions #1

Updated by Josef Sipek over 6 years ago

  • Related to Bug #6407: kerberos Java GUI should go away added
Actions

Also available in: Atom PDF